这更新管理器的恶劣之处

为当前最终发行版之前的所有版本提供支持
回复
头像
kqueenc
帖子: 630
注册时间: 2007-05-27 20:29
送出感谢: 0
接收感谢: 0

这更新管理器的恶劣之处

#1

帖子 kqueenc » 2007-06-17 11:50

前天好不容易编译并安装了一个PIDGIN2.0.2的源码包(缺了不少库,来回装了好几次)。
昨天看见更新管理器上有PIDGIN的官方更新,心里一乐,就立刻毫不犹豫的安装了。

安装好才发现,居然给我“降级”回2.0.0了! :twisted:
当时注释里的字体太小,就差一个数字,没仔细看……明明版本号低,怎么会不分青红皂白的给我替换了呢,气死人 :evil: :evil:
头像
iblicf
帖子: 3766
注册时间: 2007-01-15 17:15
送出感谢: 0
接收感谢: 0

#2

帖子 iblicf » 2007-06-17 11:56

重新编译会很快的,
头像
kqueenc
帖子: 630
注册时间: 2007-05-27 20:29
送出感谢: 0
接收感谢: 0

#3

帖子 kqueenc » 2007-06-17 12:01

你的意思是说在2.0.0的基础上重编译?其实也没什么必要,虽然我有QQ号码,但是基本不太用了。
本来只是好奇,想看看2.0.2有什么新功能,尤其是MSN的离线留言,我很在意的。

编译并安装2.0.2前后要花上10分钟左右,难道我的机器太差了?ATHLON XP 2500+的处理器
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2007-06-17 12:05

编译当然是花时间的,十分钟正常了。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 内存不足 » 2007-06-17 12:06

໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
iblicf
帖子: 3766
注册时间: 2007-01-15 17:15
送出感谢: 0
接收感谢: 0

#6

帖子 iblicf » 2007-06-17 12:10

我是说你2.02重编译肯定很快的,目标库已经生成了,只是链接器生成可执行程序的过程
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

Re: 这更新管理器的恶劣之处

#7

帖子 xport » 2007-06-17 12:11

kqueenc 写了:昨天看见更新管理器上有PIDGIN的官方更新,心里一乐,就立刻毫不犹豫的安装了。


哦,什么源有pidgin呢?
其实我是一个演员!-http://blog.csdn.net/xport/
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#8

帖子 xhy » 2007-06-17 13:19

你可以在包管理器中锁定这个软件
这样就没事了
目前负债150多万
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 karron » 2007-06-17 13:20

谁让你自己编译的软件不用deb包管理呢...
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
kqueenc
帖子: 630
注册时间: 2007-05-27 20:29
送出感谢: 0
接收感谢: 0

#10

帖子 kqueenc » 2007-06-17 19:05

xhy 写了:你可以在包管理器中锁定这个软件
这样就没事了

哦,可以这样嘛?试试。

要是2.0.2有DEB包的话,我当然用DEB咯,可前两天不是还没放出来嘛。
头像
goodhebin
帖子: 101
注册时间: 2006-10-14 15:41
来自: 厦门
送出感谢: 0
接收感谢: 0
联系:

Re: 这更新管理器的恶劣之处

#11

帖子 goodhebin » 2007-06-17 22:48

kqueenc 写了:前天好不容易编译并安装了一个PIDGIN2.0.2的源码包(缺了不少库,来回装了好几次)。
昨天看见更新管理器上有PIDGIN的官方更新,心里一乐,就立刻毫不犹豫的安装了。

安装好才发现,居然给我“降级”回2.0.0了! :twisted:
当时注释里的字体太小,就差一个数字,没仔细看……明明版本号低,怎么会不分青红皂白的给我替换了呢,气死人 :evil: :evil:


这就是包管理的特点了,你编译的软件和包管理格式又不通,比如deb包,装了之后会“告诉”系统,系统会记录已经安装此软件,和此软家的信息,编译的软件又不会告诉包管理器已经安装,虽然客观已经安装,那包管理器遇到源里有此软件,而控制者也告诉管理器安装此软件,当然就安装了,并且覆盖了软件相应的文件,自然就降级了。此时你用 make uninstall 或许都可以卸载此软件,不过新得利可能还认为系统中仍存在此软件。
CPU:P4 2.93G
主板:sis661fx
ati 9600移动卡
512M
sailor_sky
帖子: 9
注册时间: 2007-06-12 20:19
送出感谢: 0
接收感谢: 0

#12

帖子 sailor_sky » 2007-06-18 13:57

昨天刚编译完哦,还没注意,回去看看

唉,好多东西都不懂
回复

回到 “老旧版本支持”